- Qt 5.15
- Qt Multimedia
- QML Types
- Obsolete Members for Camera
- Qt 5.15.18 Reference Documentation

# Obsolete Members for Camera

The following members of QML type Camera are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

- error(errorCode, errorString)`(obsolete)`

## Signal Documentation

error(errorCode, errorString)

This signal is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use errorOccurred() instead.

Note: The corresponding handler is `onError`.